Loading...
Searching...
No Matches
fastjet::InternalError Class Reference
Error handling

class corresponding to critical internal errors More...

`#include <fastjet/Error.hh>`

Inheritance diagram for fastjet::InternalError:
[legend]
Collaboration diagram for fastjet::InternalError:
[legend]

## Public Member Functions

| InternalError (const std::string &message_in)
| ctor with error message: just add a bit of info to the message and pass it to the base class
Public Member Functions inherited from fastjet::Error
| Error ()
| default constructors
| Error (const std::string &message)
| ctor from an error message
virtual | ~Error ()
| virtual dummy dtor
std::string | message () const
| the error message
std::string | description () const
| an alternative access to the error message (more standard)

## Additional Inherited Members

Static Public Member Functions inherited from fastjet::Error
static void | set_print_errors (bool print_errors)
| controls whether the error message (and the backtrace, if its printing is enabled) is printed out or not
static void | set_print_backtrace (bool enabled)
| controls whether the backtrace is printed out with the error message or not.
static void | set_default_stream (std::ostream *ostr)
| sets the default output stream for all errors; by default cerr; if it's null then error output is suppressed.

## Detailed Description

class corresponding to critical internal errors

This is an error class (derived from Error) meant for serious, critical, internal errors that we still want to be catchable by an end-user [e.g. a serious issue in clustering where the end-user can catch it and retry with a different strategy]

Please directly contact the FastJet authors if you see such an error.

Definition at line 138 of file Error.hh.

## Constructor & Destructor Documentation

## InternalError()

fastjet::InternalError::InternalError | ( | const std::string & | message_in | ) |

inline

ctor with error message: just add a bit of info to the message and pass it to the base class

Definition at line 142 of file Error.hh.

The documentation for this class was generated from the following file:

- include/fastjet/Error.hh